# This code is a Qiskit project.
#
# (C) Copyright IBM 2025.
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.

"""Tools for generating ansatz circuits."""

from .from_connectivity import (
    KAK,
    ZXZ,
    AnsatzBlock,
    OneQubitAnsatzBlock,
    TwoQubitAnsatzBlock,
    generate_ansatz_from_circuit,
)
from .parametrize_circuit import parametrize_circuit

# Reminder: update the RST file in docs/apidocs when adding new interfaces.
__all__ = [
    "KAK",
    "ZXZ",
    "AnsatzBlock",
    "OneQubitAnsatzBlock",
    "TwoQubitAnsatzBlock",
    "generate_ansatz_from_circuit",
    "parametrize_circuit",
]
